#!/bin/bash
# Copyright (c) 2012 Allan Wirth <allan@allanwirth.com>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

# FTP wrapper for Lan-Tunes.

# must modify
HOST=music.furstlabs.com
PORT=21
USER=music
PASS=music

unset a i

for f in "$@"
do
  # thanks stack overflow
  while IFS= read -r -d $'\0' g; do
    b=`basename "$g"`
    INPUT=$INPUT"\nput \"$g\" \"$b\""
  done < <(find "$f" -type f -print0)
done;

INPUT=`echo -e "$INPUT" | sort`

# Done with options
INPUT="user $USER $PASS"$INPUT"\nquit"

#echo -e "$INPUT"

echo -e "$INPUT" | ftp -inv $HOST $PORT
